Subject: RE: [AVT] Follow up to AVT meeting - RTCP XR MIB vs RTP MIB

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Tue, 29 Mar 2005 17:43:41 +0200

Alan,

I do not disagree. 

Recalling the discussions in the meeting, the question in the was I believe not necessarily about dependency the way you describe it, but about relationship between the two MIB modules. For example, if both are being implemented, is there any relationship between the indexing schemes that would help applications identify hosts and sessions, and coordinate the information retrieved by querying the two? 

Regards,

Dan

> -----Original Message-----
> From: Alan Clark [mailto:[email-masked]]
> Sent: 29 March, 2005 5:37 PM
> To: Romascanu, Dan (Dan); Mark Baugher
> Cc: Magnus Westerlund; Colin Perkins; Avt@Ietf. Org; Amy Pendleton
> Subject: RE: [AVT] Follow up to AVT meeting - RTCP XR MIB vs RTP MIB
> 
> 
> 
> Dan
> 
> If the MIBs were dependent then it would be necessary to 
> implement the RTP
> MIB in order to implement the RTCP XR MIB - which is clearly 
> not the case.
> Hence my assertion that they are not dependant.
> 
> Regards
> 
> Alan
> 
> 
> -----Original Message-----
> From: Romascanu, Dan (Dan) [mailto:[email-masked]]
> Sent: Tuesday, March 29, 2005 10:24 AM
> To: Mark Baugher; Alan Clark
> Cc: Magnus Westerlund; Colin Perkins; Avt@Ietf. Org; Amy Pendleton
> Subject: RE: [AVT] Follow up to AVT meeting - RTCP XR MIB vs RTP MIB
> 
> 
> Actually this is not necessarily a bad thing. The MIB module 
> should reflect
> what is manageable by SNMP, and this may be a subset of the 
> whole protocol
> functionality. The scope is to create SNMP agents that can be 
> implemented in
> host, network devices or applications and be used by 
> management applications
> for interoperable management. Small is good in many cases.
> 
> The question on the table is whether the RTCP-XR MIB and the 
> RTP MIB have
> any dependencies. I believe that the question is legitimate 
> because as a
> protocol RTCP-XR implies a RTP implementation, and the RTCP-XR MIB was
> initially labeled as 'version 2' of the RTP MIB.
> 
> Regards,
> 
> Dan
> 
> 
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]On
> > Behalf Of Mark Baugher
> > Sent: 29 March, 2005 4:49 PM
> > To: Alan Clark
> > Cc: Magnus Westerlund; Colin Perkins; Avt@Ietf. Org; Amy Pendleton
> > Subject: Re: [AVT] Follow up to AVT meeting - RTCP XR MIB vs RTP MIB
> >
> >
> >
> > On Mar 29, 2005, at 6:06 AM, Alan Clark wrote:
> >
> > >
> > > I understand that the AVT meeting requested that the RTCP
> > XR MIB draft
> > > be
> > > updated to include a note concerning relationship to the
> > RTP MIB.  I
> > > propose
> > > to add a note to say that the two MIBs have no dependencies
> > and that
> > > hence
> > > the RTCP XR MIB can be implemented without the RTP MIB.
> > Are there any
> > > comments or objections to this approach?
> >
> > I have a question:  Why reproduce the MIB for a small subset of the
> > protocol?  I have not seen this done before.
> >
> > Mark
> > >
> > > Regards
> > >
> > > Alan Clark
> > >
> > >
> > > _______________________________________________
> > > Audio/Video Transport Working Group
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/avt
> > >
> >
> > _______________________________________________
> > Audio/Video Transport Working Group
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/avt
> >
> 
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt